Bug 1208392 - [abrt] gitg: gitg_lanes_collapse_lane(): gitg killed by SIGSEGV
[abrt] gitg: gitg_lanes_collapse_lane(): gitg killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6c412e8a5657207194566e533ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-02 03:20 EDT by Maël Lavault
Modified: 2016-07-19 09:20 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 09:20:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (174.59 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: core_backtrace (86.23 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: dso_list (17.16 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: environ (1.81 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: maps (99.40 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: open_fds (6.17 KB, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2015-04-02 03:20 EDT, Maël Lavault
no flags Details

  None (edit)
Description Maël Lavault 2015-04-02 03:20:39 EDT
Version-Release number of selected component:
gitg-3.16.0-1.fc22

Additional info:
reporter:       libreport-2.5.0
backtrace_rating: 4
cmdline:        gitg --no-wd
crash_function: gitg_lanes_collapse_lane
executable:     /usr/bin/gitg
global_pid:     7055
kernel:         4.0.0-0.rc5.git4.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at lun. 2014-11-03 15:59:01 CET, end at mer. 2015-04-01 10:04:42 CEST. --

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gitg_lanes_collapse_lane at /home/garrett/hacking/gnome/gitg/libgitg/gitg-lanes.vala:338
 #1 gitg_lanes_collapse_lanes at /home/garrett/hacking/gnome/gitg/libgitg/gitg-lanes.vala:382
 #2 gitg_lanes_next at /home/garrett/hacking/gnome/gitg/libgitg/gitg-lanes.vala:166
 #3 __lambda32_ at /home/garrett/hacking/gnome/gitg/libgitg/gitg-commit-model.vala:387
 #4 ___lambda32__gthread_func at gitg-commit-model.c:2211
 #5 g_thread_proxy at gthread.c:764
Comment 1 Maël Lavault 2015-04-02 03:20:42 EDT
Created attachment 1009998 [details]
File: backtrace
Comment 2 Maël Lavault 2015-04-02 03:20:44 EDT
Created attachment 1009999 [details]
File: cgroup
Comment 3 Maël Lavault 2015-04-02 03:20:45 EDT
Created attachment 1010000 [details]
File: core_backtrace
Comment 4 Maël Lavault 2015-04-02 03:20:47 EDT
Created attachment 1010001 [details]
File: dso_list
Comment 5 Maël Lavault 2015-04-02 03:20:48 EDT
Created attachment 1010002 [details]
File: environ
Comment 6 Maël Lavault 2015-04-02 03:20:49 EDT
Created attachment 1010003 [details]
File: limits
Comment 7 Maël Lavault 2015-04-02 03:20:50 EDT
Created attachment 1010004 [details]
File: maps
Comment 8 Maël Lavault 2015-04-02 03:20:51 EDT
Created attachment 1010005 [details]
File: mountinfo
Comment 9 Maël Lavault 2015-04-02 03:20:53 EDT
Created attachment 1010006 [details]
File: namespaces
Comment 10 Maël Lavault 2015-04-02 03:20:54 EDT
Created attachment 1010007 [details]
File: open_fds
Comment 11 Maël Lavault 2015-04-02 03:20:55 EDT
Created attachment 1010008 [details]
File: proc_pid_status
Comment 12 Fedora End Of Life 2016-07-19 09:20:20 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.